import React from 'react';
import {Box, Card, CardBody, Table, TableContainer, Tbody, Td, Tr} from "@chakra-ui/react";
import PropTypes from "prop-types";

const YearPreview = ({year, data}) => {
    const snowCm = (monthNum) => {
        return Object.values(data[monthNum]).slice(0, -4).reduce((a, b) => a + b, 0);
    }
    return (
        <Card alignItems='center' justifyContent='center' w='full'>

            <CardBody>
            <Box alignSelf={'flex-start'}>
                {year}
            </Box>
            <Box>
                <TableContainer>
                    <Table size='sm'>
                        <Tbody>
                            <Tr>
                                <Td>listopad</Td>
                                <Td>{snowCm(0)}</Td>
                            </Tr>
                            <Tr>
                                <Td>prosinec</Td>
                                <Td>{snowCm(1)}</Td>
                            </Tr>
                            <Tr>
                                <Td>leden</Td>
                                <Td>{snowCm(2)}</Td>
                            </Tr>
                            <Tr>
                                <Td>unor</Td>
                                <Td>{snowCm(3)}</Td>
                            </Tr>
                            <Tr>
                                <Td>brezen</Td>
                                <Td>{snowCm(4)}</Td>
                            </Tr>
                        </Tbody>
                    </Table>
                </TableContainer>
            </Box>
            </CardBody>
        </Card>
    );
};

export default YearPreview;

YearPreview.propTypes = {
    year: PropTypes.number,
    data: PropTypes.arrayOf(
        PropTypes.object
    ),

};
